Bug 126379 - Gnome panel applets fail to load
Gnome panel applets fail to load
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libbonobo (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
http://thesewer.net/error.jpg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-20 16:38 EDT by Michael Ballard
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:30:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Ballard 2004-06-20 16:38:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
After installilng FC2 (upgrade from FC1 or fresh install) and loggin
on in Gnome, I get the following errors:

---------------------------------------

"There was an error starting the GNOME Setting Daemon.

Some things, such as themes, sounds, or background settings may not
work correctly.

The Settings Daemon restarted too many times.

GNOME will try to restart the Settings Daemon next time you log on."

---------------------------------------

"The Panel encountered a problem while loading: "OAFIID:
GNOME_WorkspaceSwitcherApplet".
Details: Unkown CORBA exception id: 'IDL:omg.org/CORBA/INV_OBJREF:1.0'

Do you want to delete the applet from your configuration?"

----------------------------------------

I have several applets that fail, they all have the same error,
excepting the name of the applet.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Restart X/log in (always)
 -OR-
1. Add another applet onto the panel (most applets)
    

Actual Results:  The errors above.

Expected Results:  Error-free loading of the applets

Additional info:

I have posted a screenshot at http://thesewer.net/error.jpg if you
want to see what the desktop/panel looks like after all the errors.
Comment 1 Michael Ballard 2004-06-20 23:47:06 EDT
It seems to have fixed itself. I booted into Win2k, played some games
for a bit, then went back into FC2 and it is working fine.

The only thing I can think of is that this was the first boot with the
2.6.6-1.435 instead of the 2.6.5-1.385 that came with FC2...
Comment 2 Michael Ballard 2004-06-26 19:50:36 EDT
More details: I don't think the kernel was at fault for this. For a
while now I've had some sort of bug that keeps changing my hostname
from localhost. Most recently it was 

x1-6-00-09-5b-05-35-68

and when I started up X it did the same errors. I went back and 

hostname localhost

and everything works fine.
Comment 3 Michael Ballard 2004-07-17 11:07:00 EDT
It seems that I get these errors whenever my hostname is something
OTHER than localhost.localdomain and I log in as non-root.  Why is this?
Comment 4 Mark McLoughlin 2004-07-19 10:52:03 EDT
bonobo-activation-server used to hang around on logout and had
problems with the hostname changing. Not sure what the status of the
bug is, but I seem to recall that its since been fixed.
Comment 5 Richard Gill 2004-07-31 03:19:08 EDT
I just experienced the same bug, after an update of bonobo. By doing
hostname localhost
things work again. 

How can I fix this permanently? My computer has its own hostname. 

And how can I get the redhat network alert icon back on the panel?
Unfortunately I told gnome to delete the various applets, and now I
can't get this one back.
Comment 6 Richard Gill 2004-07-31 06:13:21 EDT
Now everything is miraculously working fine again. It seems that after
updating bonobo, one should first log in to gnome as root, not as an
ordinary user. Afterwards it is safe for ordinary users too...
Comment 7 Matthew Miller 2005-04-26 11:05:32 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 Ray Strode [halfline] 2005-05-11 17:30:56 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.